<?php

/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Corvus
 */
global $theme_settings;
?>
<!doctype html>
<html <?php language_attributes(); ?>>

<head>
   <meta charset="<?php bloginfo('charset'); ?>">
   <meta name="viewport" content="width=device-width, initial-scale=1">
   <?php if (isset($theme_settings)) : ?>
      <meta name="theme-color" content="<?php echo $theme_settings['theme-color'] ?>">
   <?php endif; ?>
   <link rel="profile" href="https://gmpg.org/xfn/11">
   <link rel="shortcut icon" type="image/png" href="<?php echo get_theme_mod('favicon_image'); ?>" />
   <style type="text/css">
   @-ms-viewport{width:device-width}*:focus,*:active,*:hover{outline:none}*:before,*:after{box-sizing:inherit}*,*:hover,*:focus,*:active{-webkit-tap-highlight-color:transparent}html{box-sizing:border-box;-ms-overflow-style:scrollbar}*,::after,::before{box-sizing:inherit}html{font-family:sans-serif;-webkit-text-size-adjust:100%;-ms-text-size-adjust:100%;box-sizing:border-box}body{color:#232731;font-family:"MarkPro";font-size:14px;font-weight:400;line-height:1.25;margin:0;padding:0}body.menu-active{overflow-y:hidden}@media (max-width: 767px){body{font-size:18px}}body h1{font-size:38px;line-height:1;font-weight:700;font-family:"MarkPro";margin-top:1em;margin-bottom:1em;clear:both;color:#232731}@media (max-width: 640px){body h1{font-size:28px}}body h2{font-size:28px;line-height:1;font-weight:700;font-family:"MarkPro";margin-top:1em;margin-bottom:1em;clear:both;color:#232731}@media (max-width: 640px){body h2{font-size:28px}}body h3{font-size:22px;line-height:1;font-weight:500;font-family:"MarkPro";margin-top:1em;margin-bottom:1em;clear:both;color:#232731}@media (max-width: 640px){body h3{font-size:22px}}body h4{font-size:20px;line-height:1;font-weight:bold;font-family:"MarkPro";margin-top:1em;margin-bottom:1em;clear:both;color:#232731}@media (max-width: 640px){body h4{font-size:20px}}body h5{font-size:18px;line-height:1;font-weight:bold;font-family:"MarkPro";margin-top:1em;margin-bottom:1em;clear:both;color:#232731}@media (max-width: 640px){body h5{font-size:18px}}body h6{font-size:15px;line-height:1;font-weight:bold;font-family:"MarkPro";margin-top:1em;margin-bottom:1em;clear:both;color:#232731}@media (max-width: 640px){body h6{font-size:15px}}p{margin-bottom:1em}p:first-of-type{margin-top:0}ul,ol{margin:0}ul{list-style:disc}ol{list-style:decimal}li>ul,li>ol{margin-bottom:0;margin-left:0.5em}dt{font-weight:bold}dd{margin:0 1.5em 1.5em}article,aside,details,figcaption,figure,footer,header,main,menu,nav,section,summary{display:block}audio,canvas,progress,video{display:inline-block;vertical-align:baseline}audio:not([controls]){display:none;height:0}[hidden],template{display:none}a:active,a:hover{outline:0}abbr[title]{border-bottom:1px dotted}b,strong{font-weight:bold}dfn{font-style:italic}em{font-style:italic}mark{background:#ff0;color:#000}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sup{top:-0.5em}sub{bottom:-0.25em}img{border:0;height:auto;max-width:100%}svg:not(:root){overflow:hidden}figure{margin:0}hr{box-sizing:content-box;height:0;background-color:#ccc;border:0;height:1px;margin-bottom:1em}code,kbd,pre,samp{font-family:monospace, monospace;font-size:1em}dfn,cite,em,i{font-style:italic}address{margin:0 0 1em}code,kbd,tt,var{font-family:Monaco, Consolas, "Andale Mono", "DejaVu Sans Mono", monospace;font-size:15px}abbr,acronym{border-bottom:1px dotted #666;cursor:help}mark,ins{background:#fff9c0;text-decoration:none}big{font-size:125%}pre{overflow:auto;background:#eee;font-family:"Courier 10 Pitch", Courier, monospace;font-size:0.9375rem;line-height:1.6;margin-bottom:1.6em;max-width:100%;overflow:auto;padding:1.6em}button,input,optgroup,select,textarea{color:inherit;font:inherit;margin:0}button{overflow:visible}button,select{text-transform:none}button,html input[type="button"],input[type="reset"],input[type="submit"]{-webkit-appearance:button;cursor:pointer}button[disabled],html input[disabled]{cursor:default}button::-moz-focus-inner,input::-moz-focus-inner{border:0;padding:0}input{line-height:normal}input[type="checkbox"],input[type="radio"]{box-sizing:border-box;padding:0}input[type="number"]::-webkit-inner-spin-button,input[type="number"]::-webkit-outer-spin-button{height:auto}input[type="search"]{-webkit-appearance:textfield;box-sizing:content-box}input[type="search"]::-webkit-search-cancel-button,input[type="search"]::-webkit-search-decoration{-webkit-appearance:none}fieldset{border:1px solid #c0c0c0;margin:0 2px;padding:0.35em 0.625em 0.75em}legend{border:0;padding:0}textarea{overflow:auto}optgroup{font-weight:bold}blockquote:before,blockquote:after,q:before,q:after{content:""}blockquote{margin:0 1em}blockquote,q{quotes:"" ""}table{border-collapse:collapse;border-spacing:0;margin:0 0 1em;width:100%}td,th{padding:10px;border:1px solid}.screen-reader-text{clip:rect(1px, 1px, 1px, 1px);position:absolute !important;height:1px;width:1px;overflow:hidden}.screen-reader-text:focus{background-color:#f1f1f1;border-radius:3px;box-shadow:0 0 2px 2px rgba(0,0,0,0.6);clip:auto !important;color:#21759b;display:block;font-size:14px;font-weight:bold;height:auto;left:5px;line-height:normal;padding:15px 23px 14px;text-decoration:none;top:5px;width:auto;z-index:100000}#content[tabindex="-1"]:focus{outline:0}

      <?php
      // Load reset css
      $reset_css = file_get_contents(get_template_directory_uri() . '/assets/css/reset.css');
      echo $reset_css;
      ?>
   </style>
   <?php wp_head(); ?>
   <?php echo wp_kses(get_theme_mod('google_analytics_code'), ['script' => []]); ?>
</head>

<body <?php body_class(); ?>>
   <div id="page" class="site">
      <a class="skip-link screen-reader-text" href="#content"><?php esc_html_e('Skip to content', 'corvus'); ?></a>

      <header id="mainheader" class="site-header">
         <div class="container">
            <div class="logo-menu-wrapper">
               <div class="site-logo-description">
                  <div class="site-logo">
                     <?php the_custom_logo(); ?>
                  </div>
               </div>
               <!--#site-navigation menu animations: anim-left, anim-right, anim-top, anim-popup -->
               <!-- <nav id="site-navigation" class="main-navigation anim-left" role="navigation">
                  <span class="hamburger menu-toggle">
                     <span class="hamburger-box">
                        <span class="hamburger-inner"></span>
                     </span>
                  </span>
                  <div class="main-navigation-primary">
                     <?php
                     //  wp_nav_menu(array(
                     //    'theme_location' => 'primary',
                     //    'menu_id'        => 'primary-menu',
                     //    'menu_class'     => 'main-header-menu'
                     // )); 
                     ?>
                  </div>

               </nav> -->
               <!-- #site-navigation -->
            </div>
         </div>
      </header><!-- #mainhead -->

      <div id="content" class="site-content">