<?php

if (function_exists('acf_add_options_page')) {
   acf_add_options_page(array(
      'page_title'     => 'Theme General Settings',
      'menu_title'    => 'Theme Settings',
      'menu_slug'     => 'theme-general-settings',
      'capability'    => 'edit_posts',
      'redirect'        => false
   ));
}

remove_action('wpcf7_init', 'wpcf7_add_form_tag_submit');
add_action('wpcf7_init', 'wpcf7_add_shortcode_submit_button', 20);

function wpcf7_add_shortcode_submit_button()
{
   wpcf7_add_shortcode('submit', 'wpcf7_submit_button_shortcode_handler');
}

function wpcf7_submit_button_shortcode_handler($tag)
{
   $tag_class = new WPCF7_Shortcode($tag);

   $class = wpcf7_form_controls_class($tag_class->type);

   $atts = array();

   $atts['class'] = $tag_class->get_class_option($class);
   $atts['id'] = $tag_class->get_id_option();
   $atts['tabindex'] = $tag_class->get_option('tabindex', 'int', true);

   $value = isset($tag_class->values[0]) ? $tag_class->values[0] : '';
   if (empty($value))
      $value = __('Send', 'contact-form-7');

   $atts['type'] = 'submit';

   $atts = wpcf7_format_atts($atts);

   $html = sprintf('<button %1$s><span class="submit-text">%2$s</span><span class="submit-icon"></span></button>', $atts, $value);
   return $html;
}
// Remove search
function wpb_filter_query($query, $error = true)
{
   if (is_search()) {
      $query->is_search = false;
      $query->query_vars["s"] = false;
      $query->query["s"] = false;
      if ($error == true)
         $query->is_404 = true;
   }
}
add_action('parse_query', 'wpb_filter_query');
add_filter('get_search_form', create_function('$a', "return null;"));
function remove_search_widget()
{
   unregister_widget('WP_Widget_Search');
}
add_action('widgets_init', 'remove_search_widget');
