<?php

/**
 * Register widget area.
 *
 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
 */

function kamaengine_widgets_init()
{
   global $theme_settings;

   register_sidebar(array(
      'name'          => esc_html__('Sidebar', 'corvus'),
      'id'            => 'sidebar-1',
      'description'   => esc_html__('Add widgets here.', 'corvus'),
      'before_widget' => '<section id="%1$s" class="widget %2$s">',
      'after_widget'  => '</section>',
      'before_title'  => '<h2 class="widget-title">',
      'after_title'   => '</h2>',
   ));
   register_sidebar(array(
      'name' => esc_html__('Copyright', 'corvus'),
      'id' => 'copyright-footer',
      'description' => '',
      'before_widget' => '<aside id="%1$s" class="widget %2$s">',
      'after_widget' => '</aside>',
      'before_title' => '<h4 class="widget-title">',
      'after_title' => '</h4>',
   ));
   $footer_areas = isset($theme_settings['footer-areas']) ? $theme_settings['footer-areas'] : 4;
   for ($i = 1; $i <= $footer_areas; $i++) {
      register_sidebar(array(
         'name' => esc_html__('Footer area ' . $i, 'corvus'),
         'id' => 'footer-' . $i,
         'description' => '',
         'before_widget' => '<aside id="%1$s" class="widget %2$s">',
         'after_widget' => '</aside>',
         'before_title' => '<h4 class="widget-title">',
         'after_title' => '</h4>',
      ));
   }
}
add_action('widgets_init', 'kamaengine_widgets_init');
