<?php
/**************************************************
* All theme options and functions
*
* Disable gutenberg for posts
**************************************************/
add_filter('use_block_editor_for_post', '__return_false', 10);
/**************************************************
* Disable gutenberg for post types
**************************************************/
add_filter('use_block_editor_for_post_type', '__return_false', 10);
/**************************************************
* Disable gutenberg style in Front
**************************************************/
function wps_deregister_styles() {
    wp_dequeue_style( 'wp-block-library' );
}
add_action( 'wp_print_styles', 'wps_deregister_styles', 100 );
/**************************************************
 * Get social media
 **************************************************/
require get_template_directory() . '/inc/theme/get_social.php';
/**************************************************
 * Share posts function
 **************************************************/
require get_template_directory() . '/inc/theme/share_post.php';
/**************************************************
 * Theme paginations
 **************************************************/
require get_template_directory() . '/inc/theme/get_pagination.php';
/**************************************************
 * Trim archive title
 **************************************************/
require get_template_directory() . '/inc/theme/trim_archive_title.php';
/**
 * Implement the Custom Header feature.
 */
require get_template_directory() . '/inc/theme/custom-header.php';
/**
 * Customizer additions.
 */
require get_template_directory() . '/inc/theme/customizer.php';
/**
 * Load Jetpack compatibility file.
 */
if ( defined( 'JETPACK__VERSION' ) ) {
	require get_template_directory() . '/inc/theme/jetpack.php';
}
/**
 * Functions which enhance the theme by hooking into WordPress.
 */
require get_template_directory() . '/inc/theme/template-functions.php';
/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/inc/theme/template-tags.php';
/**************************************************
 * Disable Emojis
 **************************************************/
require get_template_directory() . '/inc/theme/disable-emojis.php';
/**************************************************
 * Browser Detection
 **************************************************/
require get_template_directory() . '/inc/theme/browser-detection.php';
/**************************************************
 * SVG Logo in Customizer
 **************************************************/
require get_template_directory() . '/inc/theme/svg-logo.php';
/**************************************************
* Customizer Copyright
**************************************************/
require get_template_directory() . '/inc/theme/copyright.php';
/**************************************************
* Customizer Socila media
**************************************************/
require get_template_directory() . '/inc/theme/social.php';
/**************************************************
* Customizer Google analytics
**************************************************/
require get_template_directory() . '/inc/theme/google_analytics.php';
/**************************************************
* Theme SVG upload fix
**************************************************/
require get_template_directory() . '/inc/theme/svg_upload.php';
/**************************************************
* Theme sanitize functions
**************************************************/
require get_template_directory() . '/inc/theme/sanitize.php';
/**************************************************
* Create test page on switch theme
**************************************************/
require get_template_directory() . '/inc/theme/test-page.php';
