<?php

/**************************************************
 * Footer widgets file
 **************************************************/
global $theme_settings;
$footer_areas = isset($theme_settings['footer-areas']) ? $theme_settings['footer-areas'] : 4;
$cols_settings = [
   "col-1" => [
      "classes" => "first-column"
   ],
   "col-4" => [
      "classes" => "last-column"
   ],
];
$general_cols_classes = "footer-column col-lg-3 ";
?>
<div class="site-footer-widgets-wrapper">
   <div class="container">
      <div class="site-footer-widgets-inner">
         <div class="row">
            <?php for ($i = 1; $i <= $footer_areas; $i++) :
               $settings_col = isset($cols_settings['col-' . $i]) ? $cols_settings['col-' . $i] : [];
               $classes = isset($settings_col['classes']) ? $settings_col['classes'] : '';
               if (is_active_sidebar('footer-' . $i)) :
            ?>
                  <div class="<?php echo $general_cols_classes ?> <?php echo 'footer-column-' . $i ?> <?php echo $classes ?>">
                     <?php
                     dynamic_sidebar('footer-' . $i);

                     if ($i == 1) {
                        echo '<div class="copyright-widget copyright-widget-desktop" >';
                        dynamic_sidebar('copyright-footer');
                        echo '</div>';
                     }
                     ?>
                  </div>
            <?php endif;
            endfor;
            echo '<div class="copyright-widget copyright-widget-mobile" >';
            dynamic_sidebar('copyright-footer');
            echo '</div>';
            ?>
         </div>
      </div>
   </div>
</div>