<?php
$thumbnail = get_the_post_thumbnail_url();
$smart_home = get_field('smart_home');
$smart_technology = get_field('smart_technology');
$smart_home_img = '';
$smart_tech_img = '';
if ($smart_home) $smart_home_img = $smart_home['bottom_image'] ? 'background-image: url(' . $smart_home["bottom_image"]["sizes"]["thumbnail"] . ')' : '';

if ($smart_technology) $smart_tech_img = $smart_technology['bottom_image'] ? 'background-image: url(' . $smart_technology["bottom_image"]["sizes"]["thumbnail"] . ')' : '';

?>
<section id="hero">
   <div class="hero-section-wrapper" style="background-image: url(<?php echo $thumbnail ?>)">
      <div class="container hero-section-inner">
         <div class="hero-content style-text">
            <?php the_field('content') ?>
         </div>
         <div class="hero-smart-section">
            <div class="row">
               <?php if ($smart_home) : ?>
                  <div class="col-md-6 hero-smart-home-wrapper">
                     <div class="hero-smart-inner">
                        <?php if ($smart_home['link']) : ?>
                           <a href="<?php echo $smart_home['link'] ?>"></a>
                        <?php endif; ?>
                        <div class="hero-smart-icon"><span><i class="icon-05-home"></i></span></div>
                        <div class="hero-smart-content" data-equal="hero-boxes" data-equal-width="991">
                           <h2><?php echo $smart_home['title'] ?></h2>
                           <div><?php echo $smart_home['text'] ?></div>
                        </div>
                        <?php if ($smart_home['link']) : ?>
                           <div class="hero-smart-link">
                              <a href="<?php echo $smart_home['link'] ?>">
                                 <div style="<?php echo $smart_home_img ?>"></div>

                                 <span><i class="icon-13-arrow-right"></i></span>
                              </a>
                           </div>
                        <?php endif; ?>
                     </div>
                  </div>
               <?php
               endif;
               if ($smart_technology) :
               ?>
                  <div class="col-md-6 hero-smart-tech-wrapper">
                     <div class="hero-smart-inner">
                        <?php if ($smart_technology['link']) : ?>
                           <a href="<?php echo $smart_technology['link'] ?>"></a>
                        <?php endif; ?>
                        <div class="hero-smart-icon"><span><i class="icon-08-mobile-phone"></i></span></div>
                        <div class="hero-smart-content" data-equal="hero-boxes" data-equal-width="991">
                           <h2><?php echo $smart_technology['title'] ?></h2>
                           <div><?php echo $smart_technology['text'] ?></div>
                        </div>
                        <?php if ($smart_technology['link']) : ?>
                           <div class="hero-smart-link">
                              <a href="<?php echo $smart_technology['link'] ?>">
                                 <div style="<?php echo $smart_tech_img ?>"></div>
                                 <span><i class="icon-13-arrow-right"></i></span>
                              </a>
                           </div>
                        <?php endif; ?>
                     </div>
                  </div>
               <?php endif; ?>
            </div>
         </div>
      </div>
   </div>
</section>